REM    ,  ;  

set echo on
connect SYSTEM/MANAGER

rem   SKUREAD, SKUWRITE
spool /disk1/oradata/nurl/log/crole
CREATE ROLE SKUREAD NOT IDENTIFIED;
CREATE ROLE SKUWRITE NOT IDENTIFIED;
spool off

spool /disk1/oradata/nurl/log/cuser

rem  .,     .  
CREATE USER Skunurl IDENTIFIED BY nurl
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE TO Skunurl;
rem   
GRANT CREATE ANY SEQUENCE, CREATE SNAPSHOT TO Skunurl;
REVOKE UNLIMITED TABLESPACE FROM Skunurl;

rem  . ,      
CREATE USER Ivanov IDENTIFIED BY Ivan
DEFAULT TABLESPACE USR
TEMPORARY TABLESPACE TEMPORARY
QUOTA 16M ON USR
QUOTA 16M ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE TO Ivanov;
GRANT SKUREAD, SKUWRITE TO Ivanov;
REVOKE UNLIMITED TABLESPACE FROM Ivanov;

rem      ...
CREATE USER SkuOTE IDENTIFIED BY OTE
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, SKUREAD, SKUWRITE TO SkuOTE;
rem   
REVOKE UNLIMITED TABLESPACE FROM SkuOTE;

rem      ...
CREATE USER SkuOGM IDENTIFIED BY OGM
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, SKUREAD, SKUWRITE TO SkuOGM;
rem   
REVOKE UNLIMITED TABLESPACE FROM SkuOGM;

rem      ...
CREATE USER SkuOGE IDENTIFIED BY OGE
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, SKUREAD, SKUWRITE TO SkuOGE;
rem   
REVOKE UNLIMITED TABLESPACE FROM SkuOGE;

rem     ... ( TO)
CREATE USER SkuMET IDENTIFIED BY MET
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, SKUREAD, SKUWRITE TO SkuMET;
rem   
REVOKE UNLIMITED TABLESPACE FROM SkuMET;

rem    
rem     .   
CREATE USER SKUOCEN IDENTIFIED BY OCENKA
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, SKUREAD, SKUWRITE TO SKUOCEN;
rem   
GRANT CREATE ANY SEQUENCE, CREATE SNAPSHOT TO SKUOCEN;
REVOKE UNLIMITED TABLESPACE FROM SKUOCEN;

rem    
rem     .   
CREATE USER OPERATIV IDENTIFIED BY OPERATIV
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, SKUREAD, SKUWRITE TO OPERATIV;
rem   
GRANT CREATE ANY SEQUENCE, CREATE SNAPSHOT TO OPERATIV;
REVOKE UNLIMITED TABLESPACE FROM OPERATIV;

rem    ...
CREATE USER REPADMIN IDENTIFIED BY ADMINREP
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE, DBA TO REPADMIN;
rem   
REVOKE UNLIMITED TABLESPACE FROM REPADMIN;

rem   ,     .  
CREATE USER SkuUFA3 IDENTIFIED BY UFA3
DEFAULT TABLESPACE SKUTOR
TEMPORARY TABLESPACE TEMPORARY
QUOTA UNLIMITED ON SKUTOR
QUOTA UNLIMITED ON TEMPORARY;
rem  
GRANT CONNECT, RESOURCE TO SkuUFA3;
GRANT SKUREAD, SKUWRITE TO SkuUFA3;
rem   
GRANT CREATE ANY SEQUENCE, CREATE SNAPSHOT TO SkuUFA3;
rem REVOKE UNLIMITED TABLESPACE FROM SkuUFA3;

rem    SYS  SYSTEM
ALTER USER SYS IDENTIFIED BY SYSnurl;
ALTER USER SYSTEM IDENTIFIED BY ADMnurl;

spool off

rem  
spool /disk1/oradata/nurl/log/cdbl

/*
connect SKUnurl/nurl
DROP DATABASE LINK UFA3;
CREATE DATABASE LINK UFA3
CONNECT TO SKUUFA3
IDENTIFIED BY UFA3
USING 'UFA3';

connect SKUUFA3/UFA3@UFA3
DROP DATABASE LINK SKU_nurl;
CREATE DATABASE LINK SKU_nurl
CONNECT TO SKUnurl
IDENTIFIED BY nurl
USING 'SKU_nurl';
*/

connect REPADMIN/ADMINREP
DROP DATABASE LINK UFA3;
CREATE DATABASE LINK UFA3
CONNECT TO REPADMIN
IDENTIFIED BY ADMINREP
USING 'UFA3';

spool off

set echo off
